#### D.4.24.14 getSmallest

Procedure from library `normal.lib` (see normal_lib).

Usage:
  getSmallest(J); J is an ideal.

Return:
  the generator of J of smallest degree. If there are more than one, it chooses the one with smallest number of monomials.

Note:
  It looks only at the generator of J, not at all the polynomials in the ideal.
  It is intended maninly to compute a good universal denominator in the normalization algorithms.

Example:

    LIB "normal.lib";
    printlevel = printlevel+1;
    ring s = 0,(x,y),dp;
    ideal J = x3-y, y5, x2-y2+1;
    getSmallest(J);
    ==> x2-y2+1
    printlevel = printlevel-1;

User manual for Singular version 4.4.1, 2025, generated by texi2html.